curl --request POST \
--url https://api.getoneprofile.ai/agent-training/sessions/{session_id}/complete/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getoneprofile.ai/agent-training/sessions/{session_id}/complete/"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getoneprofile.ai/agent-training/sessions/{session_id}/complete/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getoneprofile.ai/agent-training/sessions/{session_id}/complete/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getoneprofile.ai/agent-training/sessions/{session_id}/complete/"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.getoneprofile.ai/agent-training/sessions/{session_id}/complete/")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getoneprofile.ai/agent-training/sessions/{session_id}/complete/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"created_at": "2023-11-07T05:31:56Z",
"cycle": 123,
"error": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"progress": {
"done": 123,
"failed": 123,
"total": 123
},
"rows": [
{
"confidence": "high",
"credits_charged": 123,
"cycle": 123,
"error": "<string>",
"error_class": "timeout",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inputs": {},
"outcome": "succeeded",
"position": 123,
"reasoning": "<string>",
"run_no": 123,
"skipped_reason": "<string>",
"sources": [
"<string>"
],
"status": "pending",
"steps": [
{
"action": "search",
"detail": "<string>",
"observation": "<string>",
"duration_ms": 123,
"outcome": "completed",
"thought": "<string>"
}
],
"verdict": "good",
"needs_work": false,
"value": "<unknown>"
}
],
"saved_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_input_mappings": {},
"source_kind": "table",
"source_table_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "running",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>",
"issues": [
{
"input": "<string>",
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Close a Preview
Close the Preview as finished, keeping its examples and verdicts as history. Idempotent.
curl --request POST \
--url https://api.getoneprofile.ai/agent-training/sessions/{session_id}/complete/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getoneprofile.ai/agent-training/sessions/{session_id}/complete/"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getoneprofile.ai/agent-training/sessions/{session_id}/complete/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getoneprofile.ai/agent-training/sessions/{session_id}/complete/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getoneprofile.ai/agent-training/sessions/{session_id}/complete/"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.getoneprofile.ai/agent-training/sessions/{session_id}/complete/")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getoneprofile.ai/agent-training/sessions/{session_id}/complete/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"created_at": "2023-11-07T05:31:56Z",
"cycle": 123,
"error": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"progress": {
"done": 123,
"failed": 123,
"total": 123
},
"rows": [
{
"confidence": "high",
"credits_charged": 123,
"cycle": 123,
"error": "<string>",
"error_class": "timeout",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inputs": {},
"outcome": "succeeded",
"position": 123,
"reasoning": "<string>",
"run_no": 123,
"skipped_reason": "<string>",
"sources": [
"<string>"
],
"status": "pending",
"steps": [
{
"action": "search",
"detail": "<string>",
"observation": "<string>",
"duration_ms": 123,
"outcome": "completed",
"thought": "<string>"
}
],
"verdict": "good",
"needs_work": false,
"value": "<unknown>"
}
],
"saved_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_input_mappings": {},
"source_kind": "table",
"source_table_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "running",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>",
"issues": [
{
"input": "<string>",
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Authorizations
Path Parameters
Query Parameters
Report what would happen, and change nothing.
Response
Successful Response
A whole Preview, as the reviewer's page polls it.
Everything the page needs in one payload: the phase (status), and the examples
with their answers and verdicts. The page keeps polling while any example runs,
a Needs work redo included.
How far the examples' run has got.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Where a session's training inputs came from.
table, manual Where an agent Preview stands: the state the reviewer's screen shows.
One enum rather than a separate lifecycle flag and phase, because the
phase IS the state: a session is either waiting on the machine
(RUNNING), waiting on the reviewer (REVIEWING), or finished.
Callers never derive the screen from row counts. A Needs work on one
example runs that example again without leaving REVIEWING: the row's
own status says it is running.
running, reviewing, proposed, completed, abandoned Was this page helpful?